/*
 * Copyright 2006 pjaol.com
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 * 
 * $Id: TaskUtils.java,v 1.3 2007/01/08 20:28:54 pjaol Exp $
 * $Log: TaskUtils.java,v $
 * Revision 1.3  2007/01/08 20:28:54  pjaol
 * Updated License, added a README
 *
 */


package com.pjaol.gwt.ant;

import org.apache.tools.ant.Project;
import org.apache.tools.ant.taskdefs.Java;
import org.apache.tools.ant.types.Path;

public class TaskUtils {

	public void run(Project proj,  Path cp, String className, String[] argv, Boolean fork){
		
		Java jtask = (Java) proj.createTask("java");
	    jtask.setClassname(className);
	    jtask.setFork(fork);
	    jtask.setClasspath(cp);
	     
	    for (int x= 0; x < argv.length ;  x++) {
	    	proj.log("Adding Argument - "+ argv[x], Project.MSG_INFO);
	    	jtask.createArg().setValue(argv[x]);
		}
	    jtask.executeJava();
	}

}
